int check_col(BITMAP *b1, BITMAP *b2,float x1,float y1,float x2,float y2);
float abval(float n);

float abval(float n)
	{
     if (n<0)
     	n*=-1;
     return (n);
	}

int check_col(BITMAP *b1, BITMAP *b2,float x1,float y1,float x2,float y2)
     {
      //they are colliding
      if(x1+b1->w>x2 && x1 < x2+b2->w
      && y1+b1->h>y2 && y1 < y2+b2->h)
         return 1;
      else
         return 0;
      }
